Software Bisque

Take a virtual tour of the Software Bisque campus Watch Steve Bisque discuss the Paramount mount with S&T's Dennis Di Cicco Read the Paramount MYT Review Read about the Paramount Software Suite

A necessary driver was not found. Error = 217

rated by 0 users
This post has 28 Replies | 4 Followers

Top 500 Contributor
Posts 33

Hmm, since I had a disk with working TSX-P code to go into the future with, unbeknownst to me only 32-bit capable, never knowing I'd need a daily build for an eventual 64-bit pc, and, my daily build download is expired now with the knowledge I need a daily build.  What are my options?

Not Ranked
Posts 20

 

I was having the same problem, with the exact same build.  The error 217 was being generated when the Canon camera was being selected from the available camera dropdown list, before the camera was plugged in.

 

 

I found in your notes that the 24 June build included the latest Canon SDK, so that sounded like a promising solution.  I installed the latest version (July 29, 2016 Build 10133), but now there is only one camera listed in dropdown menu for Canon: “Canon DSLR X2 Digic 4 Canon DSLR”.  All of the other options, including mine have disappeared.

 

 

What happened to the other cameras?

Top 10 Contributor
Posts 23,796
Software Bisque Employee

TheSkyX runs fine on 64-bit computers.  As I understand, you upgraded your OS (Windows 32-bit to Windows 7 64-bit), and the Canon drivers TheSkyX "consumes" also need to be updated for the newer OS. 

There's unfortunately no way to future-proof TheSkyX for situations like this.

Steven:
What are my options?
Start here: http://www.bisque.com/sc/pages/software-bisque-web-site.aspx#RenewSubscription.

Daniel R. Bisque

Software Bisque, Inc.

862 Brickyard Circle

Golden, Colorado 80403-8058

Office Hours: 8 a.m.-5 p.m. Monday-Friday GMT-7:00

Posting Etiquette

Top 500 Contributor
Posts 33

Hi Daniel, no, the OS wasn't upgraded, sorry for that confusion.  This was a fresh install of TSX-P on a 64-bit Win7 computer that has always been a 64-bit.  TSX-P should install in the x86 Program Files folder meant for 32-bit software.  Since, in trying to identify root cause of the problem, a different Win7 64-bit computers' TSX-P files were dropped into this computer not working with Canon and still Error=217.  It would suggest the problem is in the registry settings but I'm unsure of this, if registry settings are even changed, as you said the disk contains all that is needed and all that is needed is in the two folders (x86 Program Files, and, Users/My Documents).

Steven

Not Ranked
Posts 20

Please disregard my post from the 6th.  It took a few days to get approved and I thought it got lost.  I started another thread yesterday that led to the resolution of the missing camera issue. (I applied the updates in the wrong order.)

The bottom line is that the software update resolved the Error =217 issue for me.

Top 500 Contributor
Posts 33

Hi Daniel,

In trying to get to root cause of the problem, the suggestion of paying the $100 for the subscription renewal only to try the latest daily build seemed not to address root cause.

Someone took pity on me and they put a daily build on the affected laptop (and removed it), and it, too, had the 'Error = 217', so as I suspected it did not work and it saved me $100.

Since the computer had a fresh install of Win7 Pro before being shipped to me, there were very few things done to it until I had this issue.  A Canon 60D camera arrived a day before the laptop and there was a Canon disk saying something like 'load this first before you connect the camera'.  I did.  The following day I installed TSX-P off my disk and had the 'Error = 217'.  After all our posts back and forth I recalled a comment Colin Haig made about the Canon EOS Remote Utility not  releasing the camera to another application. 

Maybe that Canon software, although not Remote Utility, isn't releasing.  Canon, any type, were the only ones not loadable in TSX-P, all other cameras chosen loaded properly into TSX-P and I don't believe in coincidences.  An attempt to uninstall the Canon software was made and the uninstaller failed.  After removing all Canon folders, files and registry settings it still would not give anything but Error = 217, so Win7 Pro was reinstalled; deleting the 298GB partition, recreating the 298GB partition, and, then formatting that partition, then, after Windows install was complete and having a fresh computer for TSX-P disk load.  It worked.  No Error = 217.  Indeed something in the Canon software caused the issue with TSX-P, possibly not releasing, or something which caused the uninstaller to fail.  Either way, removing Canon software, in my case wiping the computer, fixed it.

I hope others find this thread info useful when considering their 'Error = 217'.

Thanks, Steven


Top 150 Contributor
Posts 105

Hi, I just downloaded TSX-P on a Mac Sierra, I entered my serial numbers for TSX-P and for the three add ons (Camera, Dome, TPoint). No problem.

In the Camera setup I chose : Atik > ATIK Universal

I got the same error + 217 as Steven mentionned here.

I restarted my Mac, restarted TSX-P to no avail.

Is the ATIK Universal driver included into the installer ?

Thanks,

JC

Top 10 Contributor
Posts 2,556
Software Bisque Employee

There are some current known issues with ATIK support on Sierra that are being worked on (this week in fact). That said, your error is not the known issues ;-)

What build of TheSkyX did you install? Did you apply the updates in the correct order?

Richard

 

Top 150 Contributor
Posts 105

Hi Richard,

You are right and I probably didn't apply the updates in the correct order.
Now, with build 10231, this error message didn't appear anymore.

However I cannot find my camera (Atik Infinity) in the list of 14 cameras.

This camera is recognized however by Nebulosity 4 - which uses probably the same sort of Atik Universal plugin. 

Thus I do not understand why this couldn't be done with TheSkyX !

JC

Top 10 Contributor
Posts 2,556
Software Bisque Employee

The current plug-in predates the Infinity. The new upcoming plug-in will support it.

Richard

 

Top 150 Contributor
Posts 105

Thanks

JC

Not Ranked
Posts 24

Is there any ETA on the new plug-in with infinity support?

 

Richard Wright:

The current plug-in predates the Infinity. The new upcoming plug-in will support it.

Richard

 

 

Top 150 Contributor
Posts 105

Richard, 

I know that you have thousands of priorities but I'm asking again : when SB intends to release the new ATIK plugin ?

I remain you that my ATIK Infinity works perfectly well under Nebulosity 4 on my Mac, but I cannot use it under TSX.

Thank you

JC

Top 10 Contributor
Posts 23,796
Software Bisque Employee

Jean-Claude JESIOR:
when SB intends to release the new ATIK plugin ?
We don't have a firm release date right now, thanks for your patience.

Daniel R. Bisque

Software Bisque, Inc.

862 Brickyard Circle

Golden, Colorado 80403-8058

Office Hours: 8 a.m.-5 p.m. Monday-Friday GMT-7:00

Posting Etiquette

Page 2 of 2 (29 items) < Previous 1 2 | RSS

   

© 2017 Software Bisque, Inc. 862 Brickyard Circle, Golden, CO 80403-8058 USA - phone: +1 303 278 4478 fax: +1 303 278 0045
Google+